dbXML API

## org.dbxml.xml
Class XMLCompressedInput

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--java.io.DataInputStream
                        |
                        +--org.dbxml.xml.XMLCompressedInput

All Implemented Interfaces:
  java.io.DataInput

public class XMLCompressedInput
extends java.io.DataInputStream

XMLCompressedInput is an InputStream extension that provides functions for reading type from a dbXML Compressed XML Stream.

Constructor Summary
`XMLCompressedInput(java.io.InputStream is, SymbolTable st)`

Method Summary
`short` `getNodeType()` getNodeType resolves and returns the DOM Node type from the given dbXML compressed signature.
`byte` `getSignature()` getSignature returns the most recently read signature byte from the input stream.
`int` `readAttributeCount()` readAttributeCount reads the count of the upcoming Attributes from the Stream based on the object signature that is provided.
`int` `readContentSize()` readContentSize reads the size of the upcoming content from the Stream, based on the object signature that is provided.
`byte` `readSignature()` readSignature reads a Node signature byte from the input stream.

Methods inherited from class java.io.DataInputStream
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLCompressedInput

    public XMLCompressedInput(java.io.InputStream is,
                              SymbolTable st)

Method Detail

### readSignature

    public final byte readSignature()
                             throws java.io.IOException

  readSignature reads a Node signature byte from the input stream.
  Returns:
    The signature
  Throws:
    `java.io.IOException` - if an IOException occurs

### getSignature

    public final byte getSignature()

  getSignature returns the most recently read signature byte from the input stream.
  Returns:
    The signature

### getNodeType

    public final short getNodeType()

  getNodeType resolves and returns the DOM Node type from the given dbXML compressed signature.
  Returns:
    The DOM Node type

### readContentSize

    public final int readContentSize()
                              throws java.io.IOException

  readContentSize reads the size of the upcoming content from the Stream, based on the object signature that is provided.
  Returns:
    The Content Size
  Throws:
    `java.io.IOException` - if an IOException occurs

### readAttributeCount

    public final int readAttributeCount()
                                 throws java.io.IOException

  readAttributeCount reads the count of the upcoming Attributes from the Stream based on the object signature that is provided.
  Returns:
    The Content Size
  Throws:
    `java.io.IOException` - if an IOException occurs

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved